@charset "utf-8";

/* =======================
Loading画面
=======================*/
body {
    margin: 0;
    padding: 0;
}

.loading {
    position: fixed;
    z-index: 1000;
    width: 100%;
    height: 100vh;
    margin: 0;
    padding: 0;
    background: #fdfdfd;
}

.loading.hide {
    opacity: 0;
    pointer-events: none;
    transition: opacity 500ms;
}

.loading .circle {
    display: block;
    position: relative;
    top: calc(50% - 20px);
    width: 40px;
    height: 40px;
    margin: 0 auto;
    border: 8px solid #e0e0e0;
    border-top: 7px solid #f9c1cf;
    border-radius: 50px;
    animation: loading 700ms linear 0ms infinite normal both;
}

@keyframes loading {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* =======================
キービジュアルのvideo
=======================*/
.mv {
    display: flex;
    top: 0;
    left: 0;
    height: 88vh;
}

.mv .mv_inner video {
    width: 100%;
    height: 88vh;
    object-fit: cover;
}

.about_logo img {
    display: block;
    width: 72%;
    max-width: 480px;
    margin: 0 auto;
    padding-top: var(--contents-gutter-pc);
    padding-bottom: var(--contents-gutter-pc);
}

@media screen and (min-width:700px) {

    .about_logo img {
        padding-top: calc(var(--contents-gutter-pc)*1.5);
        padding-bottom: calc(var(--contents-gutter-pc)*1.5);
    }

    /* ========min-width:700px======== */
}

@media screen and (min-width:960px) {

    .mv {
        height: 100vh;
    }

    .mv .mv_inner video {
        height: 100vh;
    }

    .about_logo img {
        padding-top: calc(var(--contents-gutter-pc)*3);
        padding-bottom: var(--contents-gutter-pc);
    }

    /* ========min-width:960px======== */
}

.about_img img {
    margin-bottom: calc(var(--contents-gutter)*1.5);
}


/* === ギャラリー === */
/*===　サムネイル表示のためのcss　*/
.gallery {
    /*ベースになるギャラリーを横並びに*/
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.gallery li {
    max-width: 300px;
    padding: var(--gutter-base);
    list-style: none;
}

.gallery li figure {
    max-width: 100%;
    height: auto;
    margin-left: auto;
    margin-right: auto;
    position: relative;
}

.gallery li figure a {
    position: relative;
    display: block;
    overflow: hidden;
}

.gallery li figure span {
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    font-size: var(--size-md);
    line-height: 1.4;
    color: #ffffff;
    border: 1px solid #ffffff;
    border-radius: 30px;
    padding: 4px 60px;
    background-color: rgba(255, 255, 255, 0.24);
}

/* .gallery li figure span:hover {
    color: var(--text-color);
} */

.gallery li figure figcaption {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.32);
    width: 100%;
    bottom: 0;
    left: 0;
    padding: var(--gutter-base);
}

/*画像の横幅を100%にしてレスポンシブ化*/
.gallery li figure a img {
    max-width: 100%;
    height: auto;
    vertical-align: bottom;
    /*画像の下にできる余白を削除*/
    transition: 0.3s;
    filter: brightness(0.8);
}

/*===モーダル表示のためのcss　*/

.hide-area {
    /*モーダル表示をする場所をあらかじめ隠す*/
    display: none;
    width: 100%;
    max-width: 1440px;
    margin-left: auto;
    margin-right: auto;
}

.modaal-fullscreen .modaal-content-container {
    /*full画面の色設定*/
    background: #cdede7;
    color: var(--text-color);
    text-align: center;
}

.modaal-content-container p {
    width: 100%;
    margin-top: calc(var(--gutter-base)*4);
}

.modaal-content-container p img {
    width: 100%;
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}

.modaal-fullscreen .modaal-close {
    /*ボタンの色、位置*/
    background: none;
    right: 20px;
}

/*クローズボタンの×の色変更*/
.modaal-close:focus:after,
.modaal-close:focus:before,
.modaal-close:hover:after,
.modaal-close:hover:before {
    background: #666;
}

/*キャプション*/
.caption {
    display: block;
    padding: var(--gutter-base) 0 0 0;
}

@media screen and (min-width:960px) {

    .gallery li figure a:hover img {
        filter: blur(4px);
        transform: scale(1.1);
    }

    /* ========min-width:960px======== */
}